OpenVDB: TreeAdapter< const Grid< _TreeType > > Struct Template Reference

OpenVDB 12.0.1 |

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
TreeAdapter< const Grid< _TreeType > > Struct Template Reference

Partial specialization for const Grid types. More...

`#include <openvdb/Grid.h>`

## Public Types
using | TreeType = _TreeType
using | NonConstTreeType = typename std::remove_const<TreeType>::type
using | TreePtrType = typename TreeType::Ptr
using | ConstTreePtrType = typename TreeType::ConstPtr
using | NonConstTreePtrType = typename NonConstTreeType::Ptr
using | GridType = Grid<TreeType>
using | NonConstGridType = Grid<NonConstTreeType>
using | GridPtrType = typename GridType::Ptr
using | NonConstGridPtrType = typename NonConstGridType::Ptr
using | ConstGridPtrType = typename GridType::ConstPtr
using | ValueType = typename TreeType::ValueType
using | AccessorType = typename tree::ValueAccessor<TreeType>
using | ConstAccessorType = typename tree::ValueAccessor<const TreeType>
using | NonConstAccessorType = typename tree::ValueAccessor<NonConstTreeType>
using | TreeType
using | NonConstTreeType
using | TreePtrType
using | ConstTreePtrType
using | NonConstTreePtrType
using | GridType
using | NonConstGridType
using | GridPtrType
using | NonConstGridPtrType
using | ConstGridPtrType
using | ValueType
using | AccessorType
using | ConstAccessorType
using | NonConstAccessorType

## Static Public Member Functions
static NonConstTreeType & | tree (NonConstTreeType &t)
static NonConstTreeType & | tree (NonConstGridType &g)
static const NonConstTreeType & | tree (const NonConstTreeType &t)
static const NonConstTreeType & | tree (const NonConstGridType &g)
static const NonConstTreeType & | constTree (NonConstTreeType &t)
static const NonConstTreeType & | constTree (NonConstGridType &g)
static const NonConstTreeType & | constTree (const NonConstTreeType &t)
static const NonConstTreeType & | constTree (const NonConstGridType &g)
static NonConstTreeType & | tree (NonConstTreeType &t)
static NonConstTreeType & | tree (NonConstGridType &g)
static const NonConstTreeType & | tree (const NonConstTreeType &t)
static const NonConstTreeType & | tree (const NonConstGridType &g)
static const NonConstTreeType & | constTree (NonConstTreeType &t)
static const NonConstTreeType & | constTree (NonConstGridType &g)
static const NonConstTreeType & | constTree (const NonConstTreeType &t)
static const NonConstTreeType & | constTree (const NonConstGridType &g)

## Detailed Description

template<typename _TreeType>
struct openvdb::v12_0::TreeAdapter< const Grid< _TreeType > >

Partial specialization for const Grid types.

## Member Typedef Documentation

## ◆ AccessorType [1/2]

using AccessorType

## ◆ AccessorType [2/2]

template<typename _TreeType>

using AccessorType = typename tree::ValueAccessor<TreeType>

## ◆ ConstAccessorType [1/2]

using ConstAccessorType

## ◆ ConstAccessorType [2/2]

template<typename _TreeType>

using ConstAccessorType = typename tree::ValueAccessor<const TreeType>

## ◆ ConstGridPtrType [1/2]

using ConstGridPtrType

## ◆ ConstGridPtrType [2/2]

template<typename _TreeType>

using ConstGridPtrType = typename GridType::ConstPtr

## ◆ ConstTreePtrType [1/2]

using ConstTreePtrType

## ◆ ConstTreePtrType [2/2]

template<typename _TreeType>

using ConstTreePtrType = typename TreeType::ConstPtr

## ◆ GridPtrType [1/2]

using GridPtrType

## ◆ GridPtrType [2/2]

template<typename _TreeType>

using GridPtrType = typename GridType::Ptr

## ◆ GridType [1/2]

using GridType

## ◆ GridType [2/2]

template<typename _TreeType>

using GridType = Grid<TreeType>

## ◆ NonConstAccessorType [1/2]

using NonConstAccessorType

## ◆ NonConstAccessorType [2/2]

template<typename _TreeType>

using NonConstAccessorType = typename tree::ValueAccessor<NonConstTreeType>

## ◆ NonConstGridPtrType [1/2]

using NonConstGridPtrType

## ◆ NonConstGridPtrType [2/2]

template<typename _TreeType>

using NonConstGridPtrType = typename NonConstGridType::Ptr

## ◆ NonConstGridType [1/2]

using NonConstGridType

## ◆ NonConstGridType [2/2]

template<typename _TreeType>

using NonConstGridType = Grid<NonConstTreeType>

## ◆ NonConstTreePtrType [1/2]

using NonConstTreePtrType

## ◆ NonConstTreePtrType [2/2]

template<typename _TreeType>

using NonConstTreePtrType = typename NonConstTreeType::Ptr

## ◆ NonConstTreeType [1/2]

using NonConstTreeType

## ◆ NonConstTreeType [2/2]

template<typename _TreeType>

using NonConstTreeType = typename std::remove_const<TreeType>::type

## ◆ TreePtrType [1/2]

using TreePtrType

## ◆ TreePtrType [2/2]

template<typename _TreeType>

using TreePtrType = typename TreeType::Ptr

## ◆ TreeType [1/2]

using TreeType

## ◆ TreeType [2/2]

template<typename _TreeType>

using TreeType = _TreeType

## ◆ ValueType [1/2]

using ValueType

## ◆ ValueType [2/2]

template<typename _TreeType>

using ValueType = typename TreeType::ValueType

## Member Function Documentation

## ◆ constTree() [1/8]

static const NonConstTreeType & constTree | ( | const NonConstGridType & | g | ) |
| inlinestatic

## ◆ constTree() [2/8]

template<typename _TreeType>

static const NonConstTreeType & constTree | ( | const NonConstGridType & | g | ) |
| inlinestatic

## ◆ constTree() [3/8]

static const NonConstTreeType & constTree | ( | const NonConstTreeType & | t | ) |
| inlinestatic

## ◆ constTree() [4/8]

template<typename _TreeType>

static const NonConstTreeType & constTree | ( | const NonConstTreeType & | t | ) |
| inlinestatic

## ◆ constTree() [5/8]

static const NonConstTreeType & constTree | ( | NonConstGridType & | g | ) |
| inlinestatic

## ◆ constTree() [6/8]

template<typename _TreeType>

static const NonConstTreeType & constTree | ( | NonConstGridType & | g | ) |
| inlinestatic

## ◆ constTree() [7/8]

static const NonConstTreeType & constTree | ( | NonConstTreeType & | t | ) |
| inlinestatic

## ◆ constTree() [8/8]

template<typename _TreeType>

static const NonConstTreeType & constTree | ( | NonConstTreeType & | t | ) |
| inlinestatic

## ◆ tree() [1/8]

static const NonConstTreeType & tree | ( | const NonConstGridType & | g | ) |
| inlinestatic

## ◆ tree() [2/8]

template<typename _TreeType>

static const NonConstTreeType & tree | ( | const NonConstGridType & | g | ) |
| inlinestatic

## ◆ tree() [3/8]

static const NonConstTreeType & tree | ( | const NonConstTreeType & | t | ) |
| inlinestatic

## ◆ tree() [4/8]

template<typename _TreeType>

static const NonConstTreeType & tree | ( | const NonConstTreeType & | t | ) |
| inlinestatic

## ◆ tree() [5/8]

static NonConstTreeType & tree | ( | NonConstGridType & | g | ) |
| inlinestatic

## ◆ tree() [6/8]

template<typename _TreeType>

static NonConstTreeType & tree | ( | NonConstGridType & | g | ) |
| inlinestatic

## ◆ tree() [7/8]

static NonConstTreeType & tree | ( | NonConstTreeType & | t | ) |
| inlinestatic

## ◆ tree() [8/8]

template<typename _TreeType>

static NonConstTreeType & tree | ( | NonConstTreeType & | t | ) |
| inlinestatic